Class Table Of Contents

- All Classes
- All Files
- API
  - comb
    - logging
      - PropertyConfigurator
      - Level
      - BasicConfigurator
      - Logger
      - appenders
        - RollingFileAppender
        - ConsoleAppender
        - Appender
        - FileAppender
        - JSONAppender
    - PromiseList
    - Promise
    - regexp
    - array
    - string
    - collections
      - Pool
      - Iterable
      - HashTable
      - MaxHeap
      - Heap
      - Stack
      - AVLTree
      - AnderssonTree
      - Collection
      - RedBlackTree
      - Tree
      - Queue
      - BinaryTree
      - PriorityQueue
      - MinHeap
    - plugins
      - Middleware
      - Broadcaster
    - number
    - characters
    - date
- comb.collections.Collection
- Methods
  - concat
  - indexOf
  - join
  - lastIndexOf
  - slice
  - toString

# Class comb.collections.Collection

Base class for all collections
Defined in: Collection.js.

Class Detail
comb.collections.Collection()
Method Detail
concat()
Concats two collections

    throw new Error("Not Implemented");

indexOf()
Find the index of an item in a collection

    throw new Error("Not Implemented");

join()
Joins two collections

    throw new Error("Not Implemented");

lastIndexOf()
Find the last index of an item in a collection

    throw new Error("Not Implemented");

slice()
Slice a portion from a collection

    throw new Error("Not Implemented");

toString()
Convert a collection to a string

    throw new Error("Not Implemented");

Documentation generated by JsDoc Toolkit 2.4.0 on Tue Jan 31 2012 16:14:11 GMT-0600 (CST)